package com.monnit.mine.EventHandling;

import com.monnit.mine.MonnitAPN.MNTEventArgs.*;
import com.monnit.mine.MonnitMineAPI.*;

public class GatewayResponseHandler implements MineServiceGatewayResponseAccess {

	public static MineServer _Server;

	@Override
	public void ProcessNetworkStatusMessage(NetworkStatusEventArgs args) {
		System.out.println("ProcessNetworkStatusMessage");
	}

	@Override
	public void ProcessSensorStatusIndicator(SensorStatusEventArgs args) {
		System.out.println("ProcessSensorStatusIndicator");
	}

	@Override
	public void ProcessReadDatasectorResponse(ReadConfigEventArgs args)
			throws Exception {
		System.out.println("\n\nProcessReadDatasectorResponse");
		_Server.HandleReadDataAck(null, args);
	}

	@Override
	public void ProcessWriteDatasectorResponse(WriteConfigEventArgs args)
			throws Exception {
		System.out.println("ProcessWriteDatasectorResponse");
		_Server.HandleWriteDataAck(null, args);
	}

	@Override
	public void ProcessAPPCMDResponse(ActionCtrlEventArgs args)
			throws Exception {
		System.out.println("ProcessAPPCMDResponse");
		_Server.HandleActionControlAck(null, args);
	}

	@Override
	public void ProcessBootloaderResponse(BootloaderEventArgs args) {
		System.out.println("ProcessBootloaderResponse");
	}

	@Override
	public void ProcessParentMsg(ParentMessageEventArgs msg) {
		System.out.println("ProcessParentMsg");
		_Server.HandleParentMessage(null, msg);
	}

	@Override
	public void ProcessDataMessage(DataMessageEventArgs msg) {
		System.out.println("ProcessDataMessage");
	}

}

