package com.monnit.mine.EventHandling;

import com.monnit.mine.MonnitMineAPI.Gateway;
import com.monnit.mine.MonnitMineAPI.GatewayMessage;
import com.monnit.mine.MonnitMineAPI.SensorMessage;
import com.monnit.mine.MonnitMineAPI.iSensorMessageHandler;
import java.util.ArrayList;
import java.util.List;

public class SensorMessageHandlerThread
  extends Thread
{
  private iSensorMessageHandler Handler;
  private GatewayMessage Msg;
  List<SensorMessage> SensorMessageList;
  private Gateway gate;
  private Exception e;
  
  public SensorMessageHandlerThread(iSensorMessageHandler handler, List<SensorMessage> sensorMessageList, Gateway gateway)
  {
    this.Handler = handler;
    this.SensorMessageList = new ArrayList(sensorMessageList);
    this.gate = gateway;
  }
  
  public void run()
  {
    try
    {
      this.Handler.ProcessSensorMessages(this.SensorMessageList, this.gate);
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }
}