package com.monnit.mine.MonnitAPN.MNTEventArgs;

import com.monnit.mine.MonnitMineAPI.enums.eConfigSection;

public class ReadConfigEventArgs
  extends EventArgs
{
  private int _SensorID;
  private eConfigSection _ConfigSection;
  private byte[] _Data;
  private String msg;
  
  public int getSensorID()
  {
    return this._SensorID;
  }
  
  public void setSensorID(int value)
  {
    this._SensorID = value;
  }
  
  public eConfigSection getConfigSection()
  {
    return this._ConfigSection;
  }
  
  public void setConfigSection(eConfigSection value)
  {
    this._ConfigSection = value;
  }
  
  public byte[] getData()
  {
    return this._Data;
  }
  
  public void setData(byte[] value)
  {
    this._Data = value;
  }
  
  public String getMsg()
  {
    return this.msg;
  }
  
  public void setMsg(String msg)
  {
    this.msg = msg;
  }
  
  public ReadConfigEventArgs(int sensorID, int configSection, byte[] data, String Msg)
  {
    this._SensorID = sensorID;
    this._ConfigSection = eConfigSection.ToConfig(configSection);
    this._Data = data;
    this.msg = Msg;
  }
}

