package com.monnit.mine.MonnitMineAPI;

import com.monnit.mine.MonnitMineAPI.enums.eGatewayMessageType;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.TimeZone;

public class GatewayMessage
{
  public Calendar ReceivedDate;
  public int Power;
  public int MessageType;
  public int MessageCount;
  public int GatewayID;
  
  public long getGatewayID()
  {
    return this.GatewayID;
  }
  
  public void setGatewayID(int gatewayID)
  {
    this.GatewayID = gatewayID;
  }
  
  public Calendar getReceivedDate()
  {
    return this.ReceivedDate;
  }
  
  public void setReceivedDate(Calendar receivedDate)
  {
    this.ReceivedDate = receivedDate;
  }
  
  public int getPower()
  {
    return this.Power;
  }
  
  public void setPower(int power)
  {
    this.Power = power;
  }
  
  public int getMessageType()
  {
    return this.MessageType;
  }
  
  public void setMessageType(int messageType)
  {
    this.MessageType = messageType;
  }
  
  public int getMessageCount()
  {
    return this.MessageCount;
  }
  
  public void setMessageCount(int messageCount)
  {
    this.MessageCount = messageCount;
  }
  
  public String toString()
  {  
    return MineServer.DisplayDateAsUTC(getReceivedDate())+ " GatewayID: " + this.GatewayID + " Type: " + eGatewayMessageType.toString(this.MessageType) + " MessageCount: " + this.MessageCount+ "   "+getReceivedDate().toString();
  }
 }