package com.monnit.mine.MonnitMineAPI;

import com.monnit.mine.MonnitAPN.MNTEventArgs.ActionCtrlEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.BootloaderEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.DataMessageEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.NetworkStatusEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.ParentMessageEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.ReadConfigEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.SensorStatusEventArgs;
import com.monnit.mine.MonnitAPN.MNTEventArgs.WriteConfigEventArgs;

public abstract interface MineServiceGatewayResponseAccess
{
  public abstract void ProcessNetworkStatusMessage(NetworkStatusEventArgs paramNetworkStatusEventArgs)
    throws Exception;
  
  public abstract void ProcessSensorStatusIndicator(SensorStatusEventArgs paramSensorStatusEventArgs)
    throws Exception;
  
  public abstract void ProcessReadDatasectorResponse(ReadConfigEventArgs paramReadConfigEventArgs)
    throws Exception;
  
  public abstract void ProcessWriteDatasectorResponse(WriteConfigEventArgs paramWriteConfigEventArgs)
    throws Exception;
  
  public abstract void ProcessAPPCMDResponse(ActionCtrlEventArgs paramActionCtrlEventArgs)
    throws Exception;
  
  public abstract void ProcessBootloaderResponse(BootloaderEventArgs paramBootloaderEventArgs)
    throws Exception;
  
  public abstract void ProcessParentMsg(ParentMessageEventArgs paramParentMessageEventArgs)
    throws Exception;
  
  public abstract void ProcessDataMessage(DataMessageEventArgs paramDataMessageEventArgs)
    throws Exception;
}
