package com.monnit.mine.MonnitMineAPI;

import com.monnit.mine.BaseApplication.ExtensionMethods.Extensions;
import com.monnit.mine.MonnitAPN.MNTEventArgs.EventArgs;
import java.util.ArrayList;
import java.util.List;

public class SensorMessagesEventArgs
  extends EventArgs
{
  public ArrayList<SensorMessage> SensorMessages;
  public int GatewayID;
  
  public ArrayList<SensorMessage> getSensorMessages()
  {
    return this.SensorMessages;
  }
  
  private void setSensorMessages(ArrayList<SensorMessage> sensorMessages)
  {
    this.SensorMessages = sensorMessages;
  }
  
  public int getGatewayID()
  {
    return this.GatewayID;
  }
  
  private void setGatewayID(int gatewayID)
  {
    this.GatewayID = gatewayID;
  }
  
  public SensorMessagesEventArgs(List<SensorMessage> sensorMessages, int gatewayID)
    throws InterruptedException
  {
    this.SensorMessages = ((ArrayList)sensorMessages);
    this.GatewayID = gatewayID;
    Extensions.debug("GatewayID: " + gatewayID + 
      "SensorMessagesEventArgs event constructor.");
  }
}