package com.monnit.mine.MonnitMineAPI.enums;

import java.util.Arrays;

public enum eGatewayType
{
  USB(2),  Ethernet_3_0(7),  CGW2(17),  CGW3(25);
  
  private final int _value;
  
  private eGatewayType(int value)
  {
    this._value = value;
  }
  
  public int Value()
  {
    return this._value;
  }
  
  public static String[] toValueArray()
  {
    String[] vals = new String[values().length];
    for (int i = 0; i < vals.length; i++) {
      vals[i] = values()[i].name();
    }
    Arrays.sort(vals);
    return vals;
  }
  
  public eGatewayType toValue(int v)
  {
    eGatewayType[] arrayOfeGatewayType;
    int j = (arrayOfeGatewayType = values()).length;
    for (int i = 0; i < j; i++)
    {
      eGatewayType egb = arrayOfeGatewayType[i];
      if (egb.Value() == v) {
        return egb;
      }
    }
    return null;
  }
  
  public static eGatewayType LookUp(int eGatewayTypeValue)
  {
    switch (eGatewayTypeValue)
    {
    case 1: 
    case 2: 
      return USB;
    case 7: 
      return Ethernet_3_0;
    case 17: 
    case 18: 
      return CGW2;
    case 22: 
    case 23: 
    case 24: 
    case 25: 
      return CGW3;
    }
    return USB;
  }
}
