package com.monnit.mine.MonnitMineAPI.enums;

public enum eSensorBattery
{
  Line(3),  CR2032(1),  AAx2(2),  AAx1(6),  AAx1r(7),  CR123(9);
  
  private final int _value;
  
  private eSensorBattery(int value)
  {
    this._value = value;
  }
  
  public int Value()
  {
    return this._value;
  }
  
  public eSensorBattery toValue(int v)
  {
    eSensorBattery[] arrayOfeSensorBattery;
    int j = (arrayOfeSensorBattery = values()).length;
    for (int i = 0; i < j; i++)
    {
      eSensorBattery egb = arrayOfeSensorBattery[i];
      if (egb.Value() == v) {
        return egb;
      }
    }
    return null;
  }
}
