package com.monnit.mine.WebPackages;

import com.monnit.mine.BaseApplication.ExtensionMethods.Extensions;
import java.io.IOException;
import java.io.OutputStream;
import java.net.InetAddress;
import java.net.Socket;

public class TcpClient
{
  public Socket socket;
  
  TcpClient(InetAddress ip, int Port)
    throws IOException
  {
    this.socket = new Socket(ip, Port);
  }
  
  public void start()
    throws IOException
  {
    this.socket.bind(this.socket.getRemoteSocketAddress());
    this.socket.connect(this.socket.getRemoteSocketAddress());
  }
  
  public void send(byte[] b)
    throws IOException
  {
    Extensions.debug("Wrote to socket", 50);
    this.socket.getOutputStream().write(b);
  }
  
  public void close()
    throws IOException
  {
    this.socket.close();
  }
}