
public class ButtonLedBase extends DryContactBase
{
    public static long MonnitApplicationID = 11;
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Trigger;
    public bool Pressed { get; set; }   
    public override List<Datum> Data
    {
        get { return new List<Datum>() { new Datum("Pressed", Pressed) }; }
    }
    public static ButtonLedBase Create(int state, Byte[] rawData)
    {
        ButtonLedBase obj = new ButtonLedBase();
        obj.Pressed = Convert.ToBoolean(rawData[0]);
        return obj;
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = _ApplicationBase.DefaultTransmitIntervalLink;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = 0;
    public static int DefaultRecovery = 0;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = _ApplicationBase.DefaultHysteresis;
    public static long DefaultMinimumThreshold = -_ApplicationBase.DefaultMinimumThreshold;
    public static long DefaultMaximumThreshold = _ApplicationBase.DefaultMaximumThreshold;
    public static long DefaultCalibration1 = _ApplicationBase.DefaultCalibration1;
    public static long DefaultCalibration2 = _ApplicationBase.DefaultCalibration2;
    public static long DefaultCalibration3 = _ApplicationBase.DefaultCalibration3;
    public static long DefaultCalibration4 = _ApplicationBase.DefaultCalibration4;
    public static int DefaultEventDetectionType = 0;
    public static int DefaultEventDetectionPeriod = 250;
    public static int DefaultEventDetectionCount = 3;
    public static int DefaultRearmTime = 2;
    public static int DefaultBiStable = 0;
        
}

