
public class Control_1Base extends _ApplicationBase
{
    public static long MonnitApplicationID = 12;
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Interval;
    public bool RelayState1, RelayState2;
    public override List<Datum> Data
    {
        get { return new List<Datum>() {new Datum("RelayState1", RelayState1), new Datum("RelayState2",RelayState2) };}
    }
    public static Control_1Base Create(int state, Byte[] rawData)
    {
        Control_1Base obj = new Control_1Base();
        obj.RelayState1 = ((rawData[0] & 0x01) == 0) ? false extends true;
        obj.RelayState2 = ((rawData[0] & 0x02) == 0) ? false extends true; 
        return obj;
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = 101;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = _ApplicationBase.DefaultRetryCount;
    public static int DefaultRecovery = _ApplicationBase.DefaultRecovery;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = 60;
    public static long DefaultMinimumThreshold = -_ApplicationBase.DefaultMinimumThreshold;
    public static long DefaultMaximumThreshold = _ApplicationBase.DefaultMaximumThreshold;
    public static long DefaultCalibration1 = 0;
    public static long DefaultCalibration2 = 0;
    public static long DefaultCalibration3 = 0;
    public static long DefaultCalibration4 = 0;
    public static int DefaultEventDetectionType = _ApplicationBase.DefaultEventDetectionType;
    public static int DefaultEventDetectionPeriod = _ApplicationBase.DefaultEventDetectionPeriod;
    public static int DefaultEventDetectionCount = _ApplicationBase.DefaultEventDetectionCount;
    public static int DefaultRearmTime = _ApplicationBase.DefaultRearmTime;
    public static int DefaultBiStable = _ApplicationBase.DefaultBiStable;
    
    public static byte[] ControlFrame(long sensorID, int state1, int state2, UInt16 time1, UInt16 time2, int queueID)
    {
        //Action Type 3 contain state1(1) - state2(1) - time1(2) - time2(2)
        int length = 13;
        byte[] api = new Byte[length];
        api[0] = 0x74;// MSAPI.CMD_APPCMD_REQUEST;
        Array.Copy(BitConverter.GetBytes(sensorID), 0, api, 1, 4);
        api[5] = 3;//Action Control 3
        api[6] = (byte)state1;
        api[7] = (byte)state2;
        if (time1 < 0) time1 = 0;
        if (time2 < 0) time2 = 0;
        Array.Copy(BitConverter.GetBytes(time1), 0, api, 8, 2);//Time 1
        Array.Copy(BitConverter.GetBytes(time2), 0, api, 10, 2);//Time 2
        api[12] = (byte)queueID;
        return api;
    }
}

