
public class LoggedActivityBase extends _ApplicationBase
{
    public static long MonnitApplicationID = 42;
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Interval;
    public int Count { get; set; }
    public int PastCount { get; set; }
    public override List<Datum> Data
    {
        get { return new List<Datum>() { new Datum("Count", Count), new Datum("PastCount", PastCount) }; }
    }
    public static LoggedActivityBase Create(int state, Byte[] rawData)
    {
        LoggedActivityBase obj = new LoggedActivityBase();
        obj.Count = BitConverter.ToUInt16(rawData, 0);
        obj.PastCount = BitConverter.ToUInt16(rawData, 0 + 2);
        return obj;        
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = _ApplicationBase.DefaultTransmitIntervalLink;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = _ApplicationBase.DefaultRetryCount;
    public static int DefaultRecovery = _ApplicationBase.DefaultRecovery;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = _ApplicationBase.DefaultHysteresis;
    public static long DefaultMinimumThreshold = _ApplicationBase.DefaultMinimumThreshold;
    public static long DefaultMaximumThreshold = _ApplicationBase.DefaultMaximumThreshold;
    public static long DefaultCalibration1 = 2000;
    public static long DefaultCalibration2 = 1;
    public static long DefaultCalibration3 = 2;
    public static long DefaultCalibration4 = 6;
    public static int DefaultEventDetectionType = _ApplicationBase.DefaultEventDetectionType;
    public static int DefaultEventDetectionPeriod = _ApplicationBase.DefaultEventDetectionPeriod;
    public static int DefaultEventDetectionCount = _ApplicationBase.DefaultEventDetectionCount;
    public static int DefaultRearmTime = _ApplicationBase.DefaultRearmTime;
    public static int DefaultBiStable = _ApplicationBase.DefaultBiStable;
    
}

