
public class BasicControlBase extends _ApplicationBase
{
    public static long MonnitApplicationID = 76;
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Interval;
    public bool RelayState1;
    public override List<Datum> Data
    {
        get { return new List<Datum>() { new Datum("RelayState1", RelayState1) }; }
    }
    public static Control_1Base Create(int state, Byte[] rawData)
    {
        Control_1Base obj = new Control_1Base();
        obj.RelayState1 = ((rawData[0] & 0x01) == 0) ? false extends true;
        return obj;
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = 101;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = _ApplicationBase.DefaultRetryCount;
    public static int DefaultRecovery = _ApplicationBase.DefaultRecovery;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = 0xFFFFFFFF;
    public static long DefaultMinimumThreshold = 0xFFFFFFFF;
    public static long DefaultMaximumThreshold = 0xFFFFFFFF;
    public static long DefaultCalibration1 = 0;
    public static long DefaultCalibration2 = 60;
    public static long DefaultCalibration3 = 0;
    public static long DefaultCalibration4 = 0;
    public static int DefaultEventDetectionType = _ApplicationBase.DefaultEventDetectionType;
    public static int DefaultEventDetectionPeriod = _ApplicationBase.DefaultEventDetectionPeriod;
    public static int DefaultEventDetectionCount = _ApplicationBase.DefaultEventDetectionCount;
    public static int DefaultRearmTime = _ApplicationBase.DefaultRearmTime;
    public static int DefaultBiStable = _ApplicationBase.DefaultBiStable;
    
    public static byte[] ControlFrame(long sensorID, int state1, UInt16 time1,  int queueID)
    {
        //Action Type 3 contain state1(1) - time1(2)
        int length = 13;
        byte[] api = new Byte[length];
        api[0] = 0x74;// MSAPI.CMD_APPCMD_REQUEST;
        Array.Copy(BitConverter.GetBytes(sensorID), 0, api, 1, 4);
        api[5] = 3;//Action Control 3
        api[6] = (byte)state1;
        if (time1 < 0) time1 = 0;
        Array.Copy(BitConverter.GetBytes(time1), 0, api, 7, 2);//Time 
        api[9] = (byte)queueID;
        return api;
    }
}

