
public class WaterAreaBase extends _ApplicationBase
{
    public static long MonnitApplicationID = 78;
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Trigger;
    public bool Present { get; set; }
    public override List<Datum> Data
    {
        get { return new List<Datum>() { new Datum("Present", Present) }; }
    }
    public static WaterBase Create(int state, Byte[] rawData)
    {
        WaterBase obj = new WaterBase();
        obj.Present = Convert.ToBoolean(rawData[0]);
        return obj;
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = _ApplicationBase.DefaultTransmitIntervalLink;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = _ApplicationBase.DefaultRetryCount;
    public static int DefaultRecovery = _ApplicationBase.DefaultRecovery;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = _ApplicationBase.DefaultHysteresis;
    public static long DefaultMinimumThreshold = -_ApplicationBase.DefaultMinimumThreshold;
    public static long DefaultMaximumThreshold = _ApplicationBase.DefaultMaximumThreshold;
    public static long DefaultCalibration1 = _ApplicationBase.DefaultCalibration1;
    public static long DefaultCalibration2 = _ApplicationBase.DefaultCalibration2;
    public static long DefaultCalibration3 = _ApplicationBase.DefaultCalibration3;
    public static long DefaultCalibration4 = _ApplicationBase.DefaultCalibration4;
    public static int DefaultEventDetectionType = 0;
    public static int DefaultEventDetectionPeriod = 50;
    public static int DefaultEventDetectionCount = 30;
    public static int DefaultRearmTime = 1;
    public static int DefaultBiStable = 1;
    
}

