package com.monnit.mine.SampleMineApplication;

import javax.swing.*;

import com.monnit.mine.MonnitMineAPI.enums.eGatewayType;
import com.monnit.mine.MonnitMineAPI.enums.eSensorApplication;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class gui {
	public static JFrame frame;
		public static JPanel panel; //Only thing directly inside the frame
			public static JPanel northPanel;
				public static JPanel ipPanel;
					public static JLabel ipLabel;
					public static JComboBox ipDropdown;
						public static String[] ipAddresses;
				public static JPanel protocolPanel;
					public static JLabel protocolLabel;
					public static JComboBox protocolDropdown;
						public static String[] protocols;
				public static JPanel portPanel;
					public static JLabel portLabel;
					public static JTextField portField;
				public static JButton startListenButton;
				public static JButton clearButton;
			public static JPanel centerPanel;
				public static JPanel GatePanel;
					public static JPanel gidPanel;
						public static JLabel gidLabel;
						public static JTextField gid;
					public static JComboBox gType;
						public static String[] gTypes;
					public static JButton gRegisterButton;
					public static JButton gFindButton;
					public static JButton gRemoveButton;
					public static JButton gReformButton;
					//public static JButton gSensorListButton;
				public static JPanel SensPanel;
					public static JPanel sidPanel;
						public static JLabel sidLabel;
						public static JTextField sid;
					public static JComboBox sType;
						public static String[] sTypes;
					public static JButton sRegisterButton;
					public static JButton sFindButton;
					public static JButton sRemoveButton;
					public static JButton sUpdateHeartBeatButton;
					public static JButton sSREraseQue;
			public static JScrollPane outputScroll;
				public static JTextArea outputArea; 
	
			
	public static Dimension panelDimension = new Dimension(640,700);
	public static Dimension outputAreaDimension = new Dimension(200, 400);
	public static Dimension dedim = new Dimension(150, 10);
	public static Dimension gsDim = new Dimension(200, 400);
	public static Dimension nDim = new Dimension(400, 40);
	
	
	public static void create() {
		try{
		frame = new JFrame("Mine Sample Application");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		//initializing early to prevent printing exceptions
		outputArea = new JTextArea();
		
		panel = new JPanel(new BorderLayout());
		panel.setPreferredSize(panelDimension);
		frame.add(panel);
		
		createNorth();
		
		centerPanel = new JPanel();
		centerPanel.setLayout(new BoxLayout(centerPanel, BoxLayout.X_AXIS));
		panel.add(centerPanel, BorderLayout.CENTER);
		createGate();
		createSens();
		
		outputArea.setEditable(false);
		outputScroll = new JScrollPane(outputArea);
		outputScroll.setPreferredSize(outputAreaDimension);
		panel.add(outputScroll, BorderLayout.SOUTH);
		frame.pack();
		frame.setVisible(true);
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
	
	private static void createNorth() {
		try{
		northPanel = new JPanel();
		northPanel.setLayout(new BoxLayout(northPanel, BoxLayout.X_AXIS));
		northPanel.setPreferredSize(nDim);
				
		ipPanel = new JPanel();
		ipPanel.setLayout(new BoxLayout(ipPanel, BoxLayout.Y_AXIS));
		ipLabel = new JLabel("IP Address");
		ipAddresses = new String[]{"0.0.0.0","172.31.35.23","52.25.237.205"};
		ipDropdown = initiateComboBox(ipAddresses);
		ipDropdown.setPreferredSize(dedim);
		ipPanel.add(ipLabel);
		ipPanel.add(ipDropdown);
		
		
		protocolPanel = new JPanel();
		protocolPanel.setLayout(new BoxLayout(protocolPanel, BoxLayout.Y_AXIS));
		protocolLabel = new JLabel("Protocol");
		protocols = new String[]{"TCPAndUDP", "TCP", "UDP"};
		protocolDropdown = initiateComboBox(protocols);
		protocolPanel.add(protocolLabel);
		protocolPanel.add(protocolDropdown);
		
		portPanel = new JPanel();
		portPanel.setLayout(new BoxLayout(portPanel, BoxLayout.Y_AXIS));
		portLabel = new JLabel("Port");
		portField = new JTextField("3000");
		portPanel.add(portLabel);
		portPanel.add(portField);
		
		startListenButton = new JButton("Start Listening");
		startListenButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
					GUIListenerFunctions.startButtonPressed();
				} catch (Exception e1) {
					GUIListenerFunctions.print(e1.toString());
				}
			}
		});
		clearButton = new JButton("Clear Output");
		clearButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				clearOutput();
			}
		});
		
		northPanel.add(ipPanel);
		northPanel.add(protocolPanel);
		northPanel.add(portPanel);
		northPanel.add(startListenButton);
		northPanel.add(clearButton);
		
		panel.add(northPanel, BorderLayout.NORTH);
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
	
	private static void createGate() {
		try{
		GatePanel = new JPanel();
		GatePanel.setLayout(new BoxLayout(GatePanel, BoxLayout.Y_AXIS));
		GatePanel.setPreferredSize(gsDim);
		
		gidPanel = new JPanel();
		gidPanel.setLayout(new BoxLayout(gidPanel, BoxLayout.X_AXIS));
		gidLabel = new JLabel("GatewayID");
		gid = new JTextField();
		gidPanel.add(gidLabel);
		gidPanel.add(gid);
		
		gType = initiateComboBox(eGatewayType.toValueArray());
		gRegisterButton = new JButton("Register");
		gRegisterButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
					GUIListenerFunctions.RegisterGateway();
				} catch (Exception e1) {
					GUIListenerFunctions.print("You must start the server before registering a gateway.");
				}
			}
		});
		gFindButton = new JButton("Find");
		gFindButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				GUIListenerFunctions.FindGateway();
			}
		});
		gRemoveButton = new JButton("Remove");
		gRemoveButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
					GUIListenerFunctions.RemoveGateway();
				} catch (InterruptedException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
			}
		});
		gReformButton = new JButton("Reform");
		gReformButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent arg0) {
				GUIListenerFunctions.ReformNetwork();
			}
		});
		//gSensorListButton = new JButton("Send Sensor List");
		//gSensorListButton.addActionListener(new ActionListener() {
		//	public void actionPerformed(ActionEvent arg0) {
		//		GUIListenerFunctions.SendSensorList();
		//	}
		//});
		
		GatePanel.add(gidPanel);
		GatePanel.add(gType);
		GatePanel.add(gRegisterButton);
		GatePanel.add(gFindButton);
		GatePanel.add(gRemoveButton);
		GatePanel.add(gReformButton);
		//GatePanel.add(gSensorListButton);
		
		centerPanel.add(GatePanel);
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
	
	private static void createSens() {
		try{
		SensPanel = new JPanel();
		SensPanel.setLayout(new BoxLayout(SensPanel, BoxLayout.Y_AXIS));
		SensPanel.setPreferredSize(gsDim);
		
		sidPanel = new JPanel();
		sidPanel.setLayout(new BoxLayout(sidPanel, BoxLayout.X_AXIS));
		sidLabel = new JLabel("SensorID");
		sid = new JTextField();
		sidPanel.add(sidLabel);
		sidPanel.add(sid);
		
		//sType = initiateComboBox(eSensorApplication.toValueArray());
		sType = initiateComboBox(eSensorApplication.toImplementedValueArray());
		sRegisterButton = new JButton("Register");
		sRegisterButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
					GUIListenerFunctions.registerSensor();
				} catch (Exception e1) {
					e1.printStackTrace();
				}
			}
		});
		sFindButton = new JButton("Find");
		sFindButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
					GUIListenerFunctions.FindSensor();
				} catch (InterruptedException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
			}
		});
		sRemoveButton = new JButton("Remove");
		sRemoveButton.addActionListener(new ActionListener() {
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
					GUIListenerFunctions.removeSensor();
				} catch (InterruptedException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
			}
		});
		sUpdateHeartBeatButton = new JButton("Update");
		sUpdateHeartBeatButton.addActionListener(new ActionListener(){
			
			@Override
			public void actionPerformed(ActionEvent e)
			{
				try{
				Boolean isSuccess =	GUIListenerFunctions.UpdateHeartBeat();
				if(isSuccess)
					println("Successfully sent update");
				else
					println("Failed to send update");
				} catch(InterruptedException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
				}
		});
		
		sSREraseQue = new JButton("Erase SR QUE");
		sSREraseQue.addActionListener(new ActionListener(){
			
			@Override
			public void actionPerformed(ActionEvent e)
			{
				try{
				Boolean isSuccess =	GUIListenerFunctions.SREraseQue();
				if(isSuccess)
					println("Successfully sent update");
				else
					println("Failed to send update");
				} catch(InterruptedException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
				}
		});
		
		SensPanel.add(sidPanel);
		SensPanel.add(sType);
		SensPanel.add(sRegisterButton);
		SensPanel.add(sFindButton);
		SensPanel.add(sRemoveButton);
		SensPanel.add(sUpdateHeartBeatButton);
		SensPanel.add(sSREraseQue);
		centerPanel.add(SensPanel);
		}
		catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}
	
	
	private static JComboBox initiateComboBox(String[] strings) {
		return initiateComboBox(new JComboBox(), strings);
	}
	private static JComboBox initiateComboBox(JComboBox box, String[] strings) {
		for(String s : strings) {
			box.addItem(s);
		}
		return box;
	}
	
	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			@Override
			public void run() {
			try{
				create();
			}
			catch (Exception ex)
			{
				ex.printStackTrace();
			}
			}
		});
	}

	public static String getOutput(String s) {
		int maxLines = 15;
		String currentOut = outputArea.getText();
		String[] lines = currentOut.split("\n");
		if(lines.length > maxLines) {
			StringBuilder sb = new StringBuilder();
			for(int i=1; i<lines.length; i++) {
				sb.append(lines[i]);
				sb.append("\n");
			}
			currentOut = sb.toString();
		}
		currentOut += s + "\n";
		return currentOut;
	}

	public static void println(String s) {
		String data = outputArea.getText();
		data = s + "\n" + data;
		outputArea.setText(data);
	}
	
	public static void clearOutput() {
		outputArea.setText("");
	}
}
