package com.monnit.mine.EventHandling;

import com.monnit.mine.MonnitMineAPI.enums.eGatewayType;
import com.monnit.mine.MonnitMineAPI.iUnknownGatewayHandler;

public class UnknownGatewayHandlerThread
  extends Thread
{
  private iUnknownGatewayHandler Handler;
  private int GatewayID;
  private eGatewayType GatewayType;
  
  public UnknownGatewayHandlerThread(iUnknownGatewayHandler handler, int gatewayID, eGatewayType gatewayType)
  {
    this.Handler = handler;
    this.GatewayID = gatewayID;
    this.GatewayType = gatewayType;
  }
  
  public void run()
  {
    try
    {
      this.Handler.ProcessUnknownGateway(this.GatewayID, this.GatewayType);
    }
    catch (Exception localException) {}
  }
}
