package com.monnit.mine.MonnitAPN;

public class CRC8
{
  public static Byte ReturnCRC(byte[] p, int len)
  {
    Byte crc = Byte.valueOf(p[len]);
    for (int i = 0; i < len; i++) {
      crc = AddStep2CRC(crc.byteValue(), Byte.valueOf(p[i]));
    }
    return crc;
  }
  
  public static Byte AddStep2CRC(byte crc, Byte NextByte)
  {
    crc = (byte)(crc ^ NextByte.byteValue());
    for (int j = 8; j > 0; j--) {
      if ((crc & 0x80) == 128) {
        crc = (byte)(crc << 1 ^ 0x97);
      } else {
        crc = (byte)(crc << 1);
      }
    }
    return Byte.valueOf(crc);
  }
}