package com.monnit.mine.MonnitAPN.MNTEventArgs;

import java.util.Calendar;

public class DataMessageEventArgs
  extends EventArgs
{
  private long _SensorID;
  private double _Voltage;
  private int _SignalStrength;
  private int _LinkQuality;
  private int _State;
  private long _GatewayID;
  private byte[] _Data;
  private Calendar _MessageDate;
  private String msg;
  
  public long getSensorID()
  {
    return this._SensorID;
  }
  
  public void setSensorID(long value)
  {
    this._SensorID = value;
  }
  
  public double getVoltage()
  {
    return this._Voltage;
  }
  
  public void setVoltage(double value)
  {
    this._Voltage = value;
  }
  
  public int getSignalStrength()
  {
    return this._SignalStrength;
  }
  
  public void setSignalStrength(int value)
  {
    this._SignalStrength = value;
  }
  
  public int getLinkQuality()
  {
    return this._LinkQuality;
  }
  
  public void setLinkQuality(int value)
  {
    this._LinkQuality = value;
  }
  
  public int getState()
  {
    return this._State;
  }
  
  public void setState(int value)
  {
    this._State = value;
  }
  
  public long getGatewayID()
  {
    return this._GatewayID;
  }
  
  public void setGatewayID(long value)
  {
    this._GatewayID = value;
  }
  
  public byte[] getData()
  {
    return this._Data;
  }
  
  public void setData(byte[] value)
  {
    this._Data = value;
  }
  
  public Calendar getMessageDate()
  {
    return this._MessageDate;
  }
  
  public void setMessageDate(Calendar value)
  {
    this._MessageDate = value;
  }
  
  public String getMsg()
  {
    return this.msg;
  }
  
  public void setMsg(String msg)
  {
    this.msg = msg;
  }
  
  public DataMessageEventArgs(long sensorID, double voltage, int signalStrength, int linkQuality, int state, long gatewayID, byte[] data, Calendar messageDate, String Msg)
  {
    this._SensorID = sensorID;
    this._Voltage = voltage;
    this._SignalStrength = signalStrength;
    this._LinkQuality = linkQuality;
    this._State = state;
    this._GatewayID = gatewayID;
    this._Data = data;
    this._MessageDate = messageDate;
    this.msg = Msg;
  }
}

