package com.monnit.mine.MonnitMineAPI.enums;

public enum eGatewayMessageType
{
  Data(0),  Sensor_Configuration(1),  Sensor_List(2),  Gateway_Configuration_Updated(
    3),  Network_Was_Reset(4),  Gateway_Configuration(8),  Status_Information(
    10),  Startup_Message(11);
  
  private final int _value;
  
  private eGatewayMessageType(int value)
  {
    this._value = value;
  }
  
  public int Value()
  {
    return this._value;
  }
  
  public static eGatewayMessageType ToMessageType(int v)
  {
    eGatewayMessageType[] arrayOfeGatewayMessageType;
    int j = (arrayOfeGatewayMessageType = values()).length;
    for (int i = 0; i < j; i++)
    {
      eGatewayMessageType egb = arrayOfeGatewayMessageType[i];
      if (egb.Value() == v) {
        return egb;
      }
    }
    return null;
  }
  
  public String toString()
  {
    return name();
  }
  
  public static String toString(int i)
  {
    return ToMessageType(i).name();
  }
}