package com.monnit.mine.WebPackages;

import com.monnit.mine.BaseApplication.ExtensionMethods.Extensions;
import com.monnit.mine.MonnitMineAPI.MineTCPSocket;
import java.io.IOException;
import java.io.InputStream;
import java.net.InetAddress;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.SocketException;

public class TcpListener
  extends Thread
{
  public InetAddress IPAddress;
  public int Port;
  public MineTCPSocket tcpsocket;
  public ServerSocket socket;
  public Socket clientSocket;
  
  public TcpListener(InetAddress ip, int port, MineTCPSocket TCPSOCKET)
    throws Exception
  {
    this.IPAddress = ip;
    this.Port = port;
    this.socket = new ServerSocket(port, 100, ip);
    this.tcpsocket = TCPSOCKET;
  }
  
  public void Listen()
    throws IOException, InterruptedException
  {
    for (;;)
    {
      Extensions.debug("Waiting for packet.", 50);
      this.clientSocket = this.socket.accept();
      new HandleTCPThread(this.tcpsocket, this.clientSocket).run();
    }
  }
  
  public void run()
  {
    try
    {
      Listen();
    }
    catch (IOException localIOException) {}catch (InterruptedException localInterruptedException) {}
  }
  
  public void Stop()
    throws IOException
  {
    try
    {
      this.socket.close();
      Extensions.debug("Closed socket", 50);
    }
    catch (SocketException localSocketException) {}
  }
  
  public byte[] getMessage()
    throws IOException
  {
    byte[] message = new byte['?'];
    this.clientSocket.getInputStream().read(message);
    Extensions.debug("TcpListener heard message.", 2);
    return message;
  }
}