
public class WeightedSeatBase extends _ApplicationBase
{
    public static long MonnitApplicationID = 62;
    public int Weight { get; set; }
    public int Resistance { get; set; }
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Interval;
    public override List<Datum> Data
    {
        get { return new List<Datum>() { new Datum("Weight", Weight), new Datum("Resistance", Resistance) }; }
    }
    public static WeightedSeatBase Create(int state, Byte[] rawData)
    {
        WeightedSeatBase obj = new WeightedSeatBase();
        obj.Weight = (int)rawData[0];
        obj.Resistance = BitConverter.ToInt32(rawData, 0 + 1);
        return obj;
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = _ApplicationBase.DefaultTransmitIntervalLink;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = _ApplicationBase.DefaultRetryCount;
    public static int DefaultRecovery = 0;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static double DefaultReportInterval = 5;
    public static double DefaultActiveStateInterval = 5;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = _ApplicationBase.DefaultHysteresis;
    public static long DefaultMinimumThreshold = _ApplicationBase.DefaultMinimumThreshold;
    public static long DefaultMaximumThreshold = _ApplicationBase.DefaultMaximumThreshold;
    public static long DefaultCalibration1 = 999;
    public static long DefaultCalibration2 = 2000;
    public static long DefaultCalibration3 = 126;
    public static long DefaultCalibration4 = _ApplicationBase.DefaultCalibration4;
    public static int DefaultEventDetectionType = _ApplicationBase.DefaultEventDetectionType;
    public static int DefaultEventDetectionPeriod = _ApplicationBase.DefaultEventDetectionPeriod;
    public static int DefaultEventDetectionCount = _ApplicationBase.DefaultEventDetectionCount;
    public static int DefaultRearmTime = _ApplicationBase.DefaultRearmTime;
    public static int DefaultBiStable = _ApplicationBase.DefaultBiStable;
    
}

