
public class TiltBase extends _ApplicationBase
{
    public static long MonnitApplicationID = 75;
    public static eApplicationProfileType ProfileType = eApplicationProfileType.Interval;
    public Double Xval { get; set; }
    public Double Yval { get; set; }
    public Double Zval { get; set; }
    public override List<Datum> Data
    {
        get { return new List<Datum> { new Datum("Xval", Xval), new Datum("Yval", Yval), new Datum("Zval", Zval) }; }
    }
    public static TiltBase Create(int state, Byte[] rawData)
    {
        TiltBase obj = new TiltBase();
        obj.Xval = Convert.ToDouble(BitConverter.ToInt16(rawData, 0)) / 1000.0;
        obj.Yval = Convert.ToDouble(BitConverter.ToInt16(rawData, 0 + 2)) / 1000.0;
        obj.Zval = Convert.ToDouble(BitConverter.ToInt16(rawData, 0 + 4)) / 1000.0;
        return obj;
    }
    
    public static long DefaultChannelMask = _ApplicationBase.DefaultChannelMask;
    public static int DefaultStandardMessageDelay = _ApplicationBase.DefaultStandardMessageDelay;
    public static int DefaultTransmitIntervalLink = _ApplicationBase.DefaultTransmitIntervalLink;
    public static int DefaultTransmitIntervalTest = _ApplicationBase.DefaultTransmitIntervalTest;
    public static int DefaultTestTransmitCount = _ApplicationBase.DefaultTestTransmitCount;
    public static int DefaultRetryCount = _ApplicationBase.DefaultRetryCount;
    public static int DefaultRecovery = _ApplicationBase.DefaultRecovery;
    public static byte[] DefaultTimeOfDayActive = _ApplicationBase.DefaultTimeOfDayActive;
    public static int DefaultMeasurementsPerTransmission = _ApplicationBase.DefaultMeasurementsPerTransmission;
    public static int DefaultTransmitOffset = _ApplicationBase.DefaultTransmitOffset;
    public static long DefaultHysteresis = 0;
    public static long DefaultMinimumThreshold = 0xFF4C00B4;//pitch
    public static long DefaultMaximumThreshold = 0xFF4C00B4;  } }//Roll
    public static long DefaultCalibration1 = 0;
    public static long DefaultCalibration2 = 0;
    public static long DefaultCalibration3 = 0;
    public static long DefaultCalibration4 = 0;
    public static int DefaultEventDetectionType = _ApplicationBase.DefaultEventDetectionType;
    public static int DefaultEventDetectionPeriod = _ApplicationBase.DefaultEventDetectionPeriod;
    public static int DefaultEventDetectionCount = _ApplicationBase.DefaultEventDetectionCount;
    public static int DefaultRearmTime = _ApplicationBase.DefaultRearmTime;
    public static int DefaultBiStable = _ApplicationBase.DefaultBiStable;
    
}

